//   Copyright 2012 Georg-August-Universität Göttingen, Germany
//
//   Licensed under the Apache License, Version 2.0 (the "License");
//   you may not use this file except in compliance with the License.
//   You may obtain a copy of the License at
//
//       http://www.apache.org/licenses/LICENSE-2.0
//
//   Unless required by applicable law or agreed to in writing, software
//   distributed under the License is distributed on an "AS IS" BASIS,
//   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//   See the License for the specific language governing permissions and
//   limitations under the License.

package de.ugoe.cs.autoquest.test;

import de.ugoe.cs.autoquest.eventcore.gui.IInteraction;

/**
 * TODO comment
 * 
 * @version $Revision: $ $Date: 02.04.2012$
 * @author 2012, last modified by $Author: patrick$
 */
public class DummyInteraction implements IInteraction {
    
    /**  */
    private static final long serialVersionUID = 1L;

    /** */
    private int interactionNumber;

    /** */
    private String interactionType;

    /**
     * @param interactionNumber
     * @param interactionType
     */
    public DummyInteraction(String interactionType, int interactionNumber) {
        super();
        this.interactionNumber = interactionNumber;
        this.interactionType = interactionType;
    }

    /*
     * (non-Javadoc)
     * 
     * @see de.harms.attef.userinteraction.Interaction#getName()
     */
    public String getName() {
        return interactionType;
    }

    /*
     * (non-Javadoc)
     * 
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
        return interactionType;
    }

    /*
     * (non-Javadoc)
     * 
     * @see de.harms.attef.userinteraction.Interaction#startsLogicalSequence()
     */
    public boolean startsLogicalSequence() {
        return false;
    }

    /*
     * (non-Javadoc)
     * 
     * @see de.harms.attef.userinteraction.Interaction#finishesLogicalSequence()
     */
    public boolean finishesLogicalSequence() {
        return false;
    }

    /**
     * @return the interactionType
     */
    public String getInteractionType() {
        return interactionType;
    }

    /**
     * @return the interactionNumber
     */
    public int getInteractionNumber() {
        return interactionNumber;
    }

}
